import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:flutter_auth/models/config.dart';
import 'package:flutter_auth/routes.dart';

void main() {
  WidgetsFlutterBinding.ensureInitialized();
  runApp(const MyApp());
  SystemChrome.setSystemUIOverlayStyle(
      const SystemUiOverlayStyle(statusBarColor: Colors.transparent));
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      title: 'Flutter Auth',
      theme: Config.themeData,
      initialRoute: Routes.welcome,
      onGenerateRoute: Routes.onGenerateRoute,
    );
  }
}
