import 'package:flutter/material.dart';
import 'package:flutter_auth/models/config.dart';
import 'package:flutter_svg/svg.dart';

class WelcomeImage extends StatelessWidget {
  const WelcomeImage({super.key});

  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        const Text(
          "欢迎使用app",
          style: TextStyle(fontWeight: FontWeight.bold),
        ),
        const SizedBox(
          height: defaultPadding * 2,
        ),
        Row(
          children: [
            const Spacer(),
            Expanded(
                flex: 8, // 1:8:1 根据屏幕宽度显示图片大小
                child: SvgPicture.asset(
                  "assets/icons/chat.svg",
                )),
            const Spacer()
          ],
        ),
        const SizedBox(
          height: defaultPadding * 2,
        )
      ],
    );
  }
}
