import 'package:flutter/material.dart';
import 'package:flutter_auth/pages/home_page.dart';
import 'package:flutter_auth/pages/login_page.dart';
import 'package:flutter_auth/pages/register/register_page.dart';
import 'package:flutter_auth/pages/splash_page.dart';
import 'package:flutter_auth/pages/welcome/welcome_page.dart';

class Routes {
  static const String splash = "/splash";
  static const String login = "/login";
  static const String home = "/home";
  static const String register = "/register";
  static const String welcome = "/welcome";

  static MaterialPageRoute<dynamic> onGenerateRoute(RouteSettings settings) {
    switch (settings.name) {
      case splash:
        return MaterialPageRoute(builder: (_) => const SplashPage())
      case home:
        return MaterialPageRoute(builder: (_) => const HomePage());
      case login:
        return MaterialPageRoute(builder: (_) => const LoginPage());
      case register:
        return MaterialPageRoute(builder: (_) => const RegisterPage());
      case welcome:
        return MaterialPageRoute(builder: (_) => const WelcomePage());
      default:
        return MaterialPageRoute(builder: (_) => const HomePage());
    }
  }

  static void go(BuildContext context, String routeName) {
    Navigator.pushNamed(context, routeName);
    // Navigator.pushNamedAndRemoveUntil(
    //     context, routeName, (Route<dynamic> route) => false);
  }
}
